/*
 * $Id: gltk.h,v 1.4 1997/08/19 02:36:22 brianp Exp $ 
 */

/*
 * Mesa 3-D graphics library
 * Version:  2.4
 * Copyright (C) 1995-1996  Brian Paul
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern GLenum tkInitDisplay(void);
extern void tkInitDisplayModePolicy(GLenum);
extern void tkInitDisplayMode(GLenum);
extern GLenum tkInitDisplayModeID(GLint);
extern void tkInitPosition(int, int, int, int);
extern GLenum tkInitWindow(char *);
extern void tkCloseWindow(void);
extern void tkQuit(void);
extern GLenum tkSetWindowLevel(GLenum);
extern void tkSwapBuffers(void);
extern void tkExec(void);
extern void tkExposeFunc(void (*)(int, int));
extern void tkReshapeFunc(void (*)(int, int));
extern void tkDisplayFunc(void (*)(void));
extern void tkKeyDownFunc(GLenum(*)(int, GLenum));
extern void tkMouseDownFunc(GLenum(*)(int, int, GLenum));
extern void tkMouseUpFunc(GLenum(*)(int, int, GLenum));
extern void tkMouseMoveFunc(GLenum(*)(int, int, GLenum));
extern void tkIdleFunc(void (*)(void));
extern int tkGetColorMapSize(void);
extern void tkGetMouseLoc(int *, int *);
extern void tkGetSystem(TKenum, void *);
extern GLint tkGetDisplayModeID(void);
extern GLint tkGetDisplayModePolicy(void);
extern GLenum tkGetDisplayMode(void);
extern void tkSetOneColor(int, float, float, float);
extern void tkSetFogRamp(int, int);
extern void tkSetGreyRamp(void);
extern void tkSetRGBMap(int, float *);
extern void tkSetOverlayMap(int, float *);
extern void tkNewCursor(GLint, GLubyte *, GLubyte *, GLenum, GLenum, GLint, GLint);
extern void tkSetCursor(GLint);
extern TK_RGBImageRec *tkRGBImageLoad(char *);
extern GLenum tkCreateStrokeFont(GLuint);
extern GLenum tkCreateOutlineFont(GLuint);
extern GLenum tkCreateFilledFont(GLuint);
extern GLenum tkCreateBitmapFont(GLuint);
extern void tkDrawStr(GLuint, char *);
extern void tkWireSphere(GLuint, float);
extern void tkSolidSphere(GLuint, float);
extern void tkWireCube(GLuint, float);
extern void tkSolidCube(GLuint, float);
extern void tkWireBox(GLuint, float, float, float);
extern void tkSolidBox(GLuint, float, float, float);
extern void tkWireTorus(GLuint, float, float);
extern void tkSolidTorus(GLuint, float, float);
extern void tkWireCylinder(GLuint, float, float);
extern void tkSolidCylinder(GLuint, float, float);
extern void tkWireCone(GLuint, float, float);
extern void tkSolidCone(GLuint, float, float);
